<%
    error = local_assigns[:error] ? error ? "is-invalid" : "" : ""
    placeholder = local_assigns[:placeholder] ? placeholder : ""
%>
<input <%= tag.attributes id: id if local_assigns[:id] %> <%= tag.attributes type: type if local_assigns[:type] %> <%= tag.attributes name: name if local_assigns[:name] %> <%= tag.attributes class: "form-control #{ error }" %> <%= tag.attributes placeholder: placeholder %>>
<% if local_assigns[:floatingLabel] %>
  <label <%= tag.attributes for: id if local_assigns[:id] %>>
  <%= floatingLabel %>
  </label>
  <% end %>
  <div class="invalid-feedback">
    <%= @target_url.errors.full_messages.first %>
  </div>
  <%#=
                render partial: "components/input",
                locals: {
                  :id => "target-url-input",
                  :type => "text",
                  :name => "target_url[url]",
                  :floatingLabel => "Target URL",
                  :error => @target_url.errors.any? && @target_url.errors.full_messages.first,
                  :errorMessage => @target_url.errors.full_messages.first
                  } %>
